Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class PalliativeCareDetail

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.PalliativeCareDetail

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:46:40+02:00",
               comments="JAXB RI v2.3.6")
    public class PalliativeCareDetail

extends Object
implements Serializable

Java class for PalliativeCareDetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PalliativeCareDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NurseReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseReferenceType"/>
             <element name="Requester" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Group" type="{urn:be:cin:mycarenet:1.0:carenet:types}PalliativeCareGroupType"/>
             <element name="UsualDoctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="CareProvider" type="{urn:be:cin:mycarenet:1.0:carenet:types}PalliativeCareCareProviderType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PalliativeCareDetail()`

Method Summary
`PalliativeCareCareProviderType` | `getCareProvider()` Gets the value of the careProvider property.
`PalliativeCareGroupType` | `getGroup()` Gets the value of the group property.
`String` | `getNurseReference()` Gets the value of the nurseReference property.
`org.joda.time.DateTime` | `getPeriodStart()` Gets the value of the periodStart property.
`String` | `getRequester()` Gets the value of the requester property.
`String` | `getUsualDoctor()` Gets the value of the usualDoctor property.
`void` | `setCareProvider(PalliativeCareCareProviderType value)` Sets the value of the careProvider property.
`void` | `setGroup(PalliativeCareGroupType value)` Sets the value of the group property.
`void` | `setNurseReference(String value)` Sets the value of the nurseReference property.
`void` | `setPeriodStart(org.joda.time.DateTime value)` Sets the value of the periodStart property.
`void` | `setRequester(String value)` Sets the value of the requester property.
`void` | `setUsualDoctor(String value)` Sets the value of the usualDoctor property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PalliativeCareDetail

    public PalliativeCareDetail()

Method Detail

### getNurseReference

    public String getNurseReference()

  Gets the value of the nurseReference property.

  Returns:
    possible object is `String`

### setNurseReference

    public void setNurseReference(String value)

  Sets the value of the nurseReference property.

  Parameters:
    `value` - allowed object is `String`

### getRequester

    public String getRequester()

  Gets the value of the requester property.

  Returns:
    possible object is `String`

### setRequester

    public void setRequester(String value)

  Sets the value of the requester property.

  Parameters:
    `value` - allowed object is `String`

### getPeriodStart

    public org.joda.time.DateTime getPeriodStart()

  Gets the value of the periodStart property.

  Returns:
    possible object is `String`

### setPeriodStart

    public void setPeriodStart(org.joda.time.DateTime value)

  Sets the value of the periodStart property.

  Parameters:
    `value` - allowed object is `String`

### getGroup

    public PalliativeCareGroupType getGroup()

  Gets the value of the group property.

  Returns:
    possible object is `PalliativeCareGroupType`

### setGroup

    public void setGroup(PalliativeCareGroupType value)

  Sets the value of the group property.

  Parameters:
    `value` - allowed object is `PalliativeCareGroupType`

### getUsualDoctor

    public String getUsualDoctor()

  Gets the value of the usualDoctor property.

  Returns:
    possible object is `String`

### setUsualDoctor

    public void setUsualDoctor(String value)

  Sets the value of the usualDoctor property.

  Parameters:
    `value` - allowed object is `String`

### getCareProvider

    public PalliativeCareCareProviderType getCareProvider()

  Gets the value of the careProvider property.

  Returns:
    possible object is `PalliativeCareCareProviderType`

### setCareProvider

    public void setCareProvider(PalliativeCareCareProviderType value)

  Sets the value of the careProvider property.

  Parameters:
    `value` - allowed object is `PalliativeCareCareProviderType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.